[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Trouble to build python releate stuff on koji



Jochen Schmitt wrote:
> Hello,
> 
> I try to build blender for devel on koji and have got the following
> error messages:
> 
> Executing /usr/sbin/mock-helper chroot /var/lib/mock/dist-f8-build-29168-4024/root /sbin/runuser - root -c "chown -R kojibuilder.kojibuilder /builddir"
> Executing /usr/sbin/mock-helper chroot /var/lib/mock/dist-f8-build-29168-4024/root /sbin/runuser - root -c "/sbin/runuser -c 'rpm -Uvh --nodeps /builddir/build/originals/blender-2.44-6.fc8.src.rpm' kojibuilder"
> blender                     ##################################################
> Executing /usr/sbin/mock-helper chroot /var/lib/mock/dist-f8-build-29168-4024/root /sbin/runuser - root -c "/sbin/runuser -c 'rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/blender.spec' kojibuilder"
> sh: /usr/bin/python: No such file or directory
> error: line 57: Version required: Requires: python-abi =

This looks like it would be caused by %pyver not being defined.  But
you shouldn't explicitly set a python-abi requires any more (since
FC4).  See http://fedoraproject.org/wiki/Packaging/Python

-- 
Todd        OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Every actual state is corrupt. Good men must not obey the laws too
well.
    -- Ralph Waldo Emerson

Attachment: pgpy1X0fh3SwR.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]